Bug 217473 - Software Updater Abended - Not listed in the COMPONENT LIST of page
Software Updater Abended - Not listed in the COMPONENT LIST of page
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 21:21 EST by Gregory Godfrey
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 14:47:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Godfrey 2006-11-27 21:21:25 EST
DComponent: Software Updater
Summary: TB5c245caf __init__.py:223:returnHeaderByTuple:StopIteration

Traceback (most recent call last):
  File "/usr/sbin/pup", line 292, in _apply
    self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 592, in
applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 408, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 401, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 226, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 283, in _processReq
    hdrs = self.rpmdb.returnHeaderByTuple(pkgtuple)
  File "/usr/lib/python2.4/site-packages/rpmUtils/__init__.py", line 223, in
returnHeaderByTuple
    hdr = mi.next()
StopIteration

Local variables in innermost frame:
a: i686
e: 0
idx: 1147
self: <rpmUtils.RpmDBHolder instance at 0xb7959a8c>
mi: <rpm.mi object at 0xb7c08df0>
n: glibc
r: 11
pkgtuple: ('glibc', 'i686', '0', '2.4', '11')
v: 2.4
idxs: [1147]
Comment 1 Jeremy Katz 2006-11-28 11:21:08 EST
What's the output of 'rpm -q yum pirut rpm' and 'rpm -V yum pirut rpm'?
Comment 2 Jeremy Katz 2007-04-25 14:47:46 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.